Bug 151647 - RFE: add log target
RFE: add log target
Product: Fedora
Classification: Fedora
Component: system-config-firewall (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 177950 494832
  Show dependency treegraph
Reported: 2005-03-21 07:58 EST by Patrick C. F. Ernzer
Modified: 2013-11-06 14:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-06 14:36:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2005-03-21 07:58:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
IMHO we would really help users if we had a LOG target just before our DROP.

At the moment, using s-c-securitylevel will not tell the user why something fails.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. configure a firewall with s-c-securitylevel
2. enable it
3. try do access via a method that is not allowed by the just configured iptables

Actual Results:  user has no clue why it fails

Expected Results:  there should be entries in /var/log/messages (or even better in a separate log file, do not forget to add said logfile to logrotate if added)

Additional info:

to avoid spamming of the logs we should set a limit, say 10/minute, optimally the user would get a drop down list where she/he can select one of
Comment 1 Thomas Woerner 2007-07-23 08:22:03 EDT
There will be a new firewall configuration tool for fedora, soon. This feature
is on the todo list.
Comment 2 Thomas Woerner 2007-11-06 08:21:40 EST
Assigning to system-config-firewall.
Comment 3 Orion Poplawski 2012-10-19 16:56:47 EDT
Ah yes, soon.  I suppose this may be in place now for Fedora, but it would be nice for RHEL6 too.  I suppose bug 494832 might be about that, but that is private.
Comment 4 Thomas Woerner 2013-11-06 14:36:54 EST
Closing because there will not be big changes to system-config-firewall anymore.

Note You need to log in before you can comment on or make changes to this bug.